{% extends "page.html" %}

{% block subtitle %}{{ _('Organizations') }}{% endblock %}

{% block breadcrumb_content %}
  <li class="active">{% link_for _('Organizations'), controller='organization', action='index', named_route=group_type + '_index' %}</li>
{% endblock %}

{% block page_header %}{% endblock %}

{% block page_primary_action %}
  {% if h.check_access('organization_create') %}
    <!-- {% link_for _('Add Organization'), controller='organization', action='new', class_='btn btn-primary', icon='plus-square', named_route=group_type + '_new' %} -->
    {% link_for _('Tambah Organisasi'), controller='organization', action='new', class_='btn btn-primary', icon='plus-square', named_route=group_type + '_new' %}
  {% endif %}
{% endblock %}

{% block primary_content_inner %}
  <h1 class="hide-heading">{% block page_heading %}{{ _('Organizations') }}{% endblock %}</h1>
  {% block organizations_search_form %}
    {% snippet 'snippets/search_form.html', form_id='organization-search-form', type='organization', query=c.q, sorting_selected=c.sort_by_selected, count=c.page.item_count, placeholder=_('Search organizations...'), show_empty=request.params, no_bottom_border=true if c.page.items, sorting = [(_('Name Ascending'), 'title asc'), (_('Name Descending'), 'title desc')] %}
  {% endblock %}
  {% block organizations_list %}
    {% if c.page.items or request.params %}
      {% if c.page.items %}
        {% snippet "organization/snippets/organization_list.html", organizations=c.page.items %}
      {% endif %}
    {% else %}
      <p class="empty">
        {{ _('There are currently no organizations for this site') }}.
        {% if h.check_access('organization_create') %}
          {% link_for _('How about creating one?'), controller='organization', action='new' %}</a>.
        {% endif %}
      </p>
    {% endif %}
  {% endblock %}
  {% block page_pagination %}
    {{ c.page.pager(q=c.q or '', sort=c.sort_by_selected or '') }}
  {% endblock %}
{% endblock %}

{% block secondary_content %}
  {% snippet "organization/snippets/helper.html" %}
{% endblock %}
